if(!isObject(ParallaxMovementBehavior))
{
   %template = new BehaviorTemplate(ParallaxMovementBehavior);
   
   %template.friendlyName = "Parallax Movement";
   %template.behaviorType = "Graphical effects";
   %template.description  = "Set the object to simulate parallax movement on level scrolling";

   %template.addBehaviorField(scrollFactor, "The factor of camera scrolling speed to use", string, "");
}

function ParallaxMovementBehavior::onBehaviorAdd(%this)
{
   parallaxReg.registerObject(%this.owner, %this.scrollFactor);
}